<?php 

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Shortocde UI
 *
 * This is the code for the pop up editor.
 *
 * @package WPWeb WooCommerce Collections
 * @since 1.0.0
 */
?>

<div class="woo-cl-popup-content">

	<div class="woo-cl-header-popup">
		<div class="woo-cl-popup-header-title"><?php esc_html_e( 'Add Shortcodes', 'woocl' );?></div>
		<div class="woo-cl-popup-close"><a href="javascript:void(0);" class="woo-cl-popup-close-button"><img src="<?php echo WOO_CL_IMG_URL;?>/close_icon.png"></a></div>
	</div>
	<div class="woo-cl-popup-error"><?php esc_html_e( 'Select a Shortcode', 'woocl' );?></div>
	<div class="woo-cl-popup-container">
		<table class="form-table">
			<tbody>
				<tr>
					<th scope="row">
						<label><?php esc_html_e( 'Select a Shortcode', 'woocl' );?></label>		
					</th>
					<td>
						<select class="wc-enhanced-select woo-cl-select-box woo-cl-icon-select" id="woo_cl_shortcode">				
							<option value="woo_cl_add_to_collection"><?php echo sprintf( esc_html__( 'Add to %s', 'woocl' ), woo_cl_get_label_singular() );?></option>
							<option value="woo_cl_collections"><?php echo sprintf( esc_html__( '%s', 'woocl' ), woo_cl_get_label_plural() );?></option>
							<option value="woo_cl_featured_collections"><?php echo sprintf( esc_html__( 'Featured %s', 'woocl' ), woo_cl_get_label_plural() );?></option>
							<option value="woo_cl_my_collections"><?php echo sprintf( esc_html__( 'My %s', 'woocl' ), woo_cl_get_label_plural() );?></option>
						</select>		
					</td>
				</tr>
			</tbody>
		</table>

		<div id="woo_cl_add_to_collection_wrap" class="woo-cl-shortcodes-options">
			<table class="form-table">
				<tbody>
					<tr>
						<th scope="row">
							<label for="woo_cl_add_to_collection_id">
								<?php esc_html_e( apply_filters('woo_cl_change_select_product_label','Select a Product'), 'woocl' );?>
							</label>		
						</th>
						<td>
							
							<select class=" <?php echo apply_filters('woo_cl_product_search_class','wc-product-search'); ?> woo-cl-admin-product-search-width " id="woo_cl_add_to_collection_id" name="woo_cl_add_to_collection_id" data-placeholder="<?php esc_attr_e( apply_filters('woo_cl_change_select_product_label','Search for a product&hellip;'), 'woocl' ); ?>" data-action="woocommerce_json_search_products_and_variations"></select>
							<br/><span class="description label-description"><?php echo sprintf( esc_html__('Here you can select product which you want to add to %s.','woocl'), woo_cl_get_label_singular(true) );?></span>							
						</td>
					</tr>
					<tr>
						<th scope="row">
							<label for="woo_cl_add_to_collection_text"><?php esc_html_e( 'Button Text', 'woocl' );?></label>		
						</th>
						<td>
							<input type="text" value="" class="regular-text woo-cl-icon-select" id="woo_cl_add_to_collection_text"><br />
							<span class="description label-description"><?php echo sprintf( esc_html__( 'Add custom text for "Add to %s". Default is: Add to %s. Available template tag is :', 'woocl' ), woo_cl_get_label_singular(),woo_cl_get_label_singular() ) .'<br /><code>{no_of_collections}</code> - '.sprintf( esc_html__( 'display the no of %s', 'woocl' ), woo_cl_get_label_plural() );?></span>
						</td>
					</tr>
					<tr>
						<th scope="row">
							<label for="woo_cl_add_to_collection_type"><?php esc_html_e( 'Button / Link Type', 'woocl' );?></label>		
						</th>
						<td>
							<select class="wc-enhanced-select woo-cl-select-box woo-cl-icon-select" id="woo_cl_add_to_collection_type">
								<option value="default"><?php esc_html_e( 'Default', 'woocl' );?></option>
								<option value="button"><?php esc_html_e( 'Button', 'woocl' );?></option>
								<option value="link"><?php esc_html_e( 'Link', 'woocl' );?></option>
							</select><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Here you can select "add to %s" button/link type.','woocl'), woo_cl_get_label_singular() );?></span>
						</td>
					</tr>
					<tr>
						<th scope="row">
							<label for="cl_add_to_collection_link_icon"><?php esc_html_e( 'Icon', 'woocl' );?></label>		
						</th>
						<td>
							<select class="wc-enhanced-select woo-cl-select-box woo-cl-icon-select" id="cl_add_to_collection_link_icon" name="cl_add_to_collection_link_icon">
								<option value=""><?php esc_html_e( 'None', 'woocl' );?></option>
								<option value="fa fa-star"><?php esc_html_e( 'Star', 'woocl' );?></option>
								<option value="fa fa-gift"><?php esc_html_e( 'Present', 'woocl' );?></option>
								<option value="fa fa-plus"><?php esc_html_e( 'Add', 'woocl' );?></option>
								<option value="fa fa-bookmark"><?php esc_html_e( 'Bookmark', 'woocl' );?></option>
								<option value="fa fa-heart"><?php esc_html_e( 'Heart', 'woocl' );?></option>
						  	</select><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Select an icon that you want to display next to the add to %s button/link.','woocl'), woo_cl_get_label_singular() );?></span>
						</td>
					</tr>
				</tbody>
			</table>
		</div><!--.woo-cl-popup-box-type-->
		
		<div id="woo_cl_featured_coll_wrap" class="woo-cl-shortcodes-options">
			<table class="form-table">
				<tbody>
					<tr>
						<th scope="row">
							<label for="woo_cl_featured_colls_title"><?php echo sprintf( esc_html__( 'Featured %s Title', 'woocl' ), woo_cl_get_label_singular() );?></label>		
						</th>
						<td>
							<input type="text" value="" class="regular-text woo-cl-icon-select" id="woo_cl_featured_colls_title"><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Enter Featured %s Title.','woocl'), woo_cl_get_label_singular() );?></span>
						</td>
					</tr>
					<tr>
						<th scope="row">
							<label for="woo_cl_no_of_coll"><?php echo sprintf( esc_html__( 'Number of %s', 'woocl' ), woo_cl_get_label_plural() );?></label>		
						</th>
						<td>
							<input type="text" value="" class="small-text" id="woo_cl_no_of_coll"><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Enter a number of %s you want to display.','woocl'), woo_cl_get_label_singular() );?></span>
						</td>
					</tr>
					<tr>
						<th scope="row">
							<label for="woo_cl_show_private"><?php echo sprintf( esc_html__( 'Display Private %s', 'woocl' ), woo_cl_get_label_singular() );?></label>		
						</th>
						<td>
							<input type="checkbox" value="1" id="woo_cl_show_private"><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Check this box if you also want to display private %s, by default it would display public %s only.','woocl'), woo_cl_get_label_plural(),woo_cl_get_label_plural(true) );?></span>
						</td>
					</tr>
				</tbody>
			</table>
		</div><!--.woo-cl-popup-box-type-->
		
		<div id="woo_cl_my_collections_wrap" class="woo-cl-shortcodes-options">
			<table class="form-table">
				<tbody>
					<tr>
						<th scope="row">
							<label for="woo_cl_my_colls_title"><?php echo sprintf( esc_html__( 'My %s Title', 'woocl' ), woo_cl_get_label_plural() );?></label>		
						</th>
						<td>
							<input type="text" value="" class="regular-text woo-cl-icon-select" id="woo_cl_my_colls_title"><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Enter My %s Title.','woocl'), woo_cl_get_label_singular() );?></span>
						</td>
					</tr> 
					<tr>
						<th scope="row">
							<label for="woo_cl_show_all_colls_count"><?php echo sprintf( esc_html__( 'Display %s\'s Count', 'woocl' ), woo_cl_get_label_singular() );?></label>		
						</th>
						<td>
							<input type="checkbox" value="1" id="woo_cl_show_all_colls_count"><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Check this box if you want to display total number of %s.','woocl'), woo_cl_get_label_plural() );?></span>
						</td>
					</tr>
					<tr>
						<th scope="row">
							<label for="woo_cl_show_all_colls_link"><?php echo sprintf( esc_html__( 'Display "See All %s" Link', 'woocl' ), woo_cl_get_label_plural() );?></label>		
						</th>
						<td>
							<input type="checkbox" value="1" id="woo_cl_show_all_colls_link"><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Check this box if you want to display link for "See All %s".','woocl'), woo_cl_get_label_plural() );?></span>
						</td>
					</tr>
					<tr>
						<th scope="row">
							<label for="woo_mycl_show_private"><?php echo sprintf( esc_html__( 'Display Private %s', 'woocl' ), woo_cl_get_label_plural() );?></label>		
						</th>
						<td>
							<input type="checkbox" value="1" id="woo_mycl_show_private"><br />
							<span class="description label-description"><?php echo sprintf( esc_html__('Check this box if you also want to display private %s, by default it would display public %s only.','woocl'), woo_cl_get_label_plural(),woo_cl_get_label_plural(true) );?></span>
						</td>
					</tr>
				</tbody>
			</table>
		</div><!--.woo-cl-popup-box-type-->
		
		<div id="woo_cl_insert_container" >
			<input type="button" class="button-secondary" id="woo_cl_insert_shortcode" value="<?php esc_html_e( 'Insert Shortcode', 'woocl' ); ?>">
		</div>
		 
	</div>	
	
</div><!--.woo-cl-popup-content-->
<div class="woo-cl-popup-overlay"></div><!--.woo-cl-popup-overlay-->