<?php


/**
 * Enqueue the block's assets for the editor.
 *
 */
function woo_cl_blocks_editor_assets()
{
	// Enqueue block editor scripts
	wp_register_script(
		'woo-cl-blocks-js',
		WOO_CL_BLOCK_URL . 'collections/block.js',
		array('wp-blocks', 'wp-components', 'wp-element', 'wp-i18n', 'wp-editor'),
		filemtime(WOO_CL_BLOCK_DIR . 'collections/block.js')
	);

}
add_action('enqueue_block_editor_assets', 'woo_cl_blocks_editor_assets');

// action to include css and js if the shortcode added via  blocks
add_action('enqueue_block_editor_assets', 'woo_cl_blocks_editor_front_assets');
add_action('enqueue_block_assets', 'woo_cl_blocks_editor_front_assets');

/**
 * Enqueue the  assets for the blocks editor and front pages.
 *
 */
function woo_cl_blocks_editor_front_assets(){
	
	$woo_cl_scripts = new Woo_Cl_Scripts();

	$woo_cl_scripts->woo_cl_wp_register_style( 'woo-cl-collection-listing', '', array(), WOO_CL_LIB_VER );
	wp_enqueue_style( 'woo-cl-collection-listing' ); // Enqueue Collection Listing style

	$woo_cl_scripts->woo_cl_wp_register_style( 'woo-cl-item-listing', '', array(), WOO_CL_LIB_VER );
	wp_enqueue_style( 'woo-cl-item-listing' ); // Enqueue Item listing style

	$woo_cl_scripts->woo_cl_wp_register_style( 'woo-cl-collection-edit', '', array(), WOO_CL_LIB_VER );
	wp_enqueue_style( 'woo-cl-collection-edit' ); // Enqueue collection edit style

	$woo_cl_scripts->woo_cl_wp_register_style( 'woo-cl-email-share', '', array(), WOO_CL_LIB_VER );
	wp_enqueue_style( 'woo-cl-email-share' ); // Enqueue email share style

	$woo_cl_scripts->woo_cl_wp_register_style( 'woo-cl-featured-collections', '', array(), WOO_CL_LIB_VER );
	
	wp_enqueue_style( 'woo-cl-featured-collections' ); // Enqueue featured collection listing style
	
	$woo_cl_scripts->woo_cl_wp_register_style( 'woo-cl-popup', '', array(), WOO_CL_LIB_VER );
	$woo_cl_scripts->woo_cl_wp_register_style( 'font-awesome.min', 'font-awesome/css/', array(), WOO_CL_LIB_VER );
	wp_enqueue_style( 'woo-cl-popup' );
	wp_enqueue_style( 'font-awesome' );
	
	$woo_cl_scripts->woo_cl_wp_register_style( 'woo-cl-coll-dropdown', '', array(), WOO_CL_LIB_VER );
	wp_enqueue_style( 'woo-cl-coll-dropdown' );
	
}

/**
* Handle Woocommerce - Social Login Block Registering
*
*/
function woo_cl_collections_block() {

	if ( function_exists( 'register_block_type' ) ) {
		
		$args = array(
		
			'editor_script'   => 'woo-cl-blocks-js' ,
			'attributes'      => array(
	            'woo_cl_shortcodes' => array(
	                'type'      => 'string',
	                'items'   => array(
						'type' => 'string',
					)
	            ),
	            'woo_cl_add_to_collection_id' => array(
	                'type'      => 'string',
	                'default'   => '',
	            ),
	            'woo_cl_add_to_collection_text'    => array(
	                'type'      => 'string',
	                'default'   => esc_html__('Add to Collection', 'woocl'),
	            ),
	            'woo_cl_add_to_collection_type' => array(
	                'type'      => 'string',
	                'items'   => array(
						'type' => 'string',
					)
	            ),
	            'cl_add_to_collection_link_icon' => array(
	                'type'      => 'array',
	                'items'   => array(
						'type' => 'string',
					)
				),
				
				/* Featured collection */
				'woo_cl_featured_colls_title' => array(
					'type'      => 'string',
	                'default'   => esc_html__('Featured Collections', 'woocl'),
				),
				'woo_cl_no_of_coll'    => array(
	                'type'      => 'string',
	                'default'   => esc_html__('10', 'woocl'),
				),
				'woo_cl_show_private' => array(
					'type' => 'boolean',
					'default' => false,
				),

				/* My Collections */
				'woo_cl_my_colls_title' => array(
					'type'      => 'string',
	                'default'   => esc_html__('My Collections', 'woocl'),
				),
				'woo_cl_show_all_colls_count' => array(
					'type' => 'boolean',
					'default' => true,
				),
				'woo_cl_show_all_colls_link' => array(
					'type' => 'boolean',
					'default' => true,
				),
				'woo_cl_mycl_show_private' => array(
					'type' => 'boolean',
					'default' => false,
				),
        	),
			'render_callback' => 'woo_cl_render_collections_block',
		);
    
		// register woocommerce social login custom block
		register_block_type( 'wpweb/woo-collections-block', $args );
	}
    
}
add_action( 'init', 'woo_cl_collections_block' );

function woo_cl_render_collections_block( $attributes ){
	$content ='';
	/* Add to Collection */
	$woo_cl_shortcodes = new Woo_Cl_Shortcodes;
	if ( isset($attributes["woo_cl_shortcodes"]) && $attributes["woo_cl_shortcodes"] == "woo_cl_add_to_collection" ) {
		if(empty($attributes['woo_cl_add_to_collection_id'])){
			$content .= '<div class="woo_cl_errors woo_cl_msgs"><p class="woo_cl_message">';
			$content .= "Please enter product id.";
			$content .= '</p></div>';
			return $content;
		}
		
		if(!empty($attributes['cl_add_to_collection_link_icon']) && is_array($attributes['cl_add_to_collection_link_icon'])){
			$attributes['cl_add_to_collection_link_icon'] = implode(' ', $attributes['cl_add_to_collection_link_icon']);
		}
		$attrib = array(
				'id' => (empty($attributes['woo_cl_add_to_collection_id']))? "": $attributes['woo_cl_add_to_collection_id'],
				'text' => $attributes['woo_cl_add_to_collection_text'],
				'icon' => (empty($attributes['cl_add_to_collection_link_icon']))? '': $attributes['cl_add_to_collection_link_icon'],
				'type' => (empty($attributes['woo_cl_add_to_collection_type']))? 'default': $attributes['woo_cl_add_to_collection_type'],
			);
		return $woo_cl_shortcodes->woo_cl_add_to_collection_button_shortcode($attrib, '');
	}

	/* Featured Collections */
	if(isset($attributes["woo_cl_shortcodes"]) && $attributes['woo_cl_shortcodes'] == "woo_cl_featured_collections"){
		$attrib = array(
			'fcolls_title' => $attributes['woo_cl_featured_colls_title'],
			'no_of_colls' => (empty($attributes['woo_cl_no_of_coll']))? 10: $attributes['woo_cl_no_of_coll'],
			'showprivate' => (empty($attributes['woo_cl_show_private']))? false: $attributes['woo_cl_show_private'],
		);
		return $woo_cl_shortcodes->woo_cl_featured_coll_lists($attrib, '');
	}

	/* My Collections */
	if(isset($attributes["woo_cl_shortcodes"]) && $attributes['woo_cl_shortcodes'] == "woo_cl_my_collections"){
		$attrib = array(
			'collection_title'	=> $attributes['woo_cl_my_colls_title'],
			'show_count'		=> (empty($attributes['woo_cl_show_all_colls_count']))? false: $attributes['woo_cl_show_all_colls_count'],
			'enable_see_all'	=> (empty($attributes['woo_cl_show_all_colls_link']))? false: $attributes['woo_cl_show_all_colls_link'],
			'showprivate' 		=> (empty($attributes['woo_cl_mycl_show_private']))? false: $attributes['woo_cl_mycl_show_private'],
			'user_id'			=> '',			
		);
		return $woo_cl_shortcodes->woo_cl_my_collections_shortcode($attrib, '');
	}

	/* Collections */
	if(isset($attributes["woo_cl_shortcodes"]) && ( $attributes["woo_cl_shortcodes"] == "" ||  $attributes['woo_cl_shortcodes'] == "woo_cl_collections" || empty( $attributes["woo_cl_shortcodes"] ) ) ){
		$attrib = array();
		return $woo_cl_shortcodes->woo_cl_collection_shortcode($attrib, '');
	}

}