<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Dokan plugin compatibility Class
 * 
 * 
 * @package WPWeb WooCommerce Collections
 * @since 1.1.5
 */
class Woo_Cl_WeDevs_Dokan {

	/**
	 * Settings for Dokan
	 * 
	 * @package WPWeb WooCommerce Collections
	 * @since 1.1.5
	 */
	public function woo_cl_register_wedevsdokan_settings( $settings ){
		
		$dokan_settings = array(
					array(
		                'desc' 			=> sprintf( esc_html__( 'Check this box to display My %s on Dokan\'s vendor dashboard page.', 'woocl' ), woo_cl_get_label_plural() ),
						'id' 			=> 'cl_enable_dokan_account_page',
		                'std' 			=> '',
		                'default' 		=> '',
		                'type' 			=> 'checkbox',
				        'checkboxgroup' => ''
			        ),
	            );

	    $settings = array_merge( $settings, $dokan_settings );

	   	return $settings;
	}

	/**
	 * Add Collections tab to Dokan Vendor Dashboard page
	 * 
	 * @package WPWeb WooCommerce Collections
	 * @since 1.2.2
	 */
	public function woo_cl_dokan_dashboard_tab_mycollections( $urls ) {

        global $current_user, $woo_cl_model;

        //Get User ID
        $user_name  = isset( $current_user->user_login ) ? $current_user->user_login : '';

        if( !empty( $user_name ) ) {//If user is not empty

            $mycoll_url = $woo_cl_model->woo_cl_get_collection_page_url( $user_name );

	        $urls['mycollection'] = array( 
	            
	            'title' => sprintf( esc_html__( 'My %s', 'woocl' ), woo_cl_get_label_plural() ),
	            'icon'  => '<i class="fa fa-heart"></i>',
	            'url'   => $mycoll_url,
	            'pos'=> 198
	    
	        );

	        return $urls;
	    }
	}
	

	/**
	 * Adding Hooks
	 * 
	 * Adding proper hooks for the Dokan compability.
	 * 
	 * @package WPWeb WooCommerce Collections
 	* @since 1.1.5
	 */
	public function add_hooks() {

		add_filter('woo_cl_before_seaching_display_settings', array( $this, 'woo_cl_register_wedevsdokan_settings'));

				// Check if my collections on Dokan page enabled
		if( get_option( 'cl_enable_dokan_account_page' ) == 'yes' ) {

			// Add filter to add collections on Dokan dashboard
			add_filter( 'dokan_get_dashboard_nav', array( $this, 'woo_cl_dokan_dashboard_tab_mycollections' ));
		}

	}
}